package BackgroundRebuild;

use strict;
use MT::App;

@BackgroundRebuild::ISA = qw(MT::App);

sub init_request {
	my $app = shift;
	$app->SUPER::init_request(@_);
	$app->add_methods( BackgroundRebuild => \&_BackgroundRebuild );
	$app->{default_mode} = 'error';
	$app->{requires_login} = 1 unless $app->mode eq 'error';
	$app->add_methods( error => \&_error );
	$app;
}

sub _error {
	my $app = shift;
	return 'Require Login.';
}

sub _BackgroundRebuild {
	my $app = shift;
	my $query = $app->param;
	my $process_id = $query->param('process_id');
	$process_id =~ s/\.//; $process_id =~ s/\///;
	my $file_path = './tmp/'.$process_id;
	if (-e $file_path) {
		open(FH, $file_path);
		my $file_body = '';
		while (<FH>) {
			$file_body .= $_;
		}
		close(FH);
		unlink $file_path;
		return $file_body;
	}
}

1;
